\name{mirbaseCONTEXT}
\alias{mirbaseCONTEXT}

\title{MicroRNA IDs to Genomic Context}

\description{
  mirbaseCONTEXT is an R object that maps microRNA identifiers to
  information related to overlapping transcripts.
}

\details{
  Each microRNA identifier maps to a \code{mirnaContext} object that has 6
  slots:
  contextTranscriptID: Transcript identifer
  contextOverlapSense: Strand of transcript
  contextOverlapType: Type of overlap (exon, intron, 3' or 5' UTR)
  contextNumber: Type of overlap number (eg exon 3)
  contextTranscriptSource: Transcript database
  contextTranscriptName: Transcript Name

  Source: miRBase (Version: 17.0)  
  ftp://mirbase.org/pub/mirbase/CURRENT/  
  With a date stamp from the source of: 27 Apr 2011
}

\seealso{\code{\link{mirnaContext}}}

\examples{
    x <- mirbaseCONTEXT
    # Get the CONTEXT for the first element mapped 
    get(mappedkeys(x)[1], x)
}

\keyword{data}
